org.gradle.api.artifacts.maven

## Class Conf2ScopeMapping

- java.lang.Object
- - org.gradle.api.artifacts.maven.Conf2ScopeMapping

-     public class Conf2ScopeMapping
      extends Object

  An immutable mapping to map a dependency configuration to a Maven scope. This class has implemented equality and hashcode based on its values not on object identity.
  See Also:
    `Conf2ScopeMappingContainer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conf2ScopeMapping(Integer priority, Configuration configuration, String scope)` Constructs a `Conf2ScopeMapping`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Configuration` | `getConfiguration()` Returns the dependency configuration name.
    `Integer` | `getPriority()` Returns the priority.
    `String` | `getScope()` Returns the Maven scope name.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Conf2ScopeMapping

          public Conf2ScopeMapping(Integer priority,
                           Configuration configuration,
                           String scope)

      Constructs a `Conf2ScopeMapping`.
      Parameters:
        `priority` - The priority of this mapping
        `configuration` - The configuration name
        `scope` - The Maven scope name

  - ### Method Detail

    - #### getPriority

          public Integer getPriority()

      Returns the priority.

    - #### getConfiguration

          public Configuration getConfiguration()

      Returns the dependency configuration name.

    - #### getScope

          public String getScope()

      Returns the Maven scope name.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`